package com.bonus.canteen.core.user.utils;

import com.arcsoft.face.enums.ImageFormat;

/**
 * FileName: ImageInfoTwo
 *
 * @author tqzhang
 * Date: 2024/5/21 13:10
 * Description:
 */
public class ImageInfoTwo {
    private byte[] imageData;
    private Integer width;
    private Integer height;
    private ImageFormat imageFormat;

    public ImageInfoTwo() {
    }

    public byte[] getImageData() {
        if (this.imageData == null) {
            this.imageData = new byte[0];
        }

        return this.imageData;
    }

    public void setImageData(byte[] imageData) {
        this.imageData = imageData;
    }

    public Integer getWidth() {
        return this.width;
    }

    public void setWidth(Integer width) {
        this.width = width;
    }

    public Integer getHeight() {
        return this.height;
    }

    public void setHeight(Integer height) {
        this.height = height;
    }

    public ImageFormat getImageFormat() {
        return this.imageFormat;
    }

    public void setImageFormat(ImageFormat imageFormat) {
        this.imageFormat = imageFormat;
    }
}
